Name:           perl-HTML-FormFu-Model-DBIC
Summary:        Integrate HTML::FormFu with DBIx::Class
Version:        0.06000
Release:        2%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/C/CF/CFRANKS/HTML-FormFu-Model-DBIC-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/HTML-FormFu-Model-DBIC
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(DateTime::Format::MySQL)
BuildRequires:  perl(DateTime::Format::SQLite)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBIx::Class) >= 0.08108
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(HTML::FormFu) >= 0.05000
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(SQL::Translator)
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::MockObject)
BuildRequires:  perl(Test::More)

Requires:       perl(DBD::SQLite)
Requires:       perl(DBIx::Class) >= 0.08108
Requires:       perl(HTML::FormFu) >= 0.05000
Requires:       perl(HTML::FormFu::Model)
Requires:       perl(List::MoreUtils)
Requires:       perl(Task::Weaken)


%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
Integrate your HTML::FormFu forms with a DBIx::Class model.


%prep
%setup -q -n HTML-FormFu-Model-DBIC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.06000-2
- Mass rebuild with perl-5.12.0

* Sun Mar 14 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.06000-1
- update by Fedora::App::MaintainerTools 0.006
- PERL_INSTALL_ROOT => DESTDIR
- updating to latest GA CPAN version (0.06000)
- altered br on perl(DBIx::Class) (0.08106 => 0.08108)
- added a new br on perl(SQL::Translator) (version 0)
- altered req on perl(DBIx::Class) (0.08106 => 0.08108)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.05002-2
- rebuild against perl 5.10.1

* Sat Aug 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05002-1
- auto-update to 0.05002 (by cpan-spec-update 0.01)
- altered br on perl(DBIx::Class) (0.08002 => 0.08106)
- added a new br on perl(DateTime::Format::SQLite) (version 0)
- altered br on perl(HTML::FormFu) (0.03007 => 0.05000)
- added a new br on perl(List::MoreUtils) (version 0)
- added a new req on perl(DBD::SQLite) (version 0)
- altered req on perl(DBIx::Class) (0 => 0.08106)
- added a new req on perl(HTML::FormFu) (version 0.05000)
- added a new req on perl(List::MoreUtils) (version 0)
- added a new req on perl(Task::Weaken) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03007-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03007-1
- touch up for submission

* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03007-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
